name='python3-pyyaml'
version='6.0.2'
release='1'
desc='YAML parser and emitter for Python.'
homepage='https://pyyaml.org/'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('pyyaml')
conflicts=('pyyaml')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip" "python3-cython")
build_deps_arch=("python" "python-pip" "python-cython")
build_deps_alpine=("python3" "py3-pip" "py3-cython")

sources=("https://files.pythonhosted.org/packages/source/p/PyYAML/pyyaml-6.0.2.tar.gz")
checksums=('blake2b-256:54ed79a089b6be93607fa5cdaedf301d7dfb23af5f25c398d5ead2525b063e17')

build() {
  cd "$srcdir/pyyaml-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/pyyaml-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib64/python3.*/site-packages/yaml/*
  printf '"%s" ' ./usr/local/lib64/python3.*/site-packages/pyyaml-${version}.dist-info/*
}