name='zstandard'
version='0.23.0'
release='1'
desc='Zstandard bindings for Python.'
homepage='https://github.com/indygreg/python-zstandard'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('BSD')
provides=('zstandard')
conflicts=('zstandard')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/z/zstandard/zstandard-0.23.0.tar.gz")
checksums=('blake2b-256:edf62ac0287b442160a89d726b17a9184a4c615bb5237db763791a7fd16d9df1')

build() {
        cd "$srcdir/zstandard-${version}"
  python -m build --wheel --no-isolation
}

package() {
        cd "$srcdir/zstandard-${version}"
        pip install --root="${pkgdir}/" . --no-deps --disable-pip-version-check
}